/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class BagSlotPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Main";
        public override string UIResName => "BagSlotPanel";

        [AutoFind(Name = "back")]
        public GLabel back;
        [AutoFind(Name = "SlotTitle")]
        public GComponent SlotTitle;
        [AutoFind(Name = "List")]
        public ClassifyList List;
        [AutoFind(Name = "SlotList")]
        public GList SlotList;
        [AutoFind(Name = "SlotSeparator")]
        public GImage SlotSeparator;
        [AutoFind(Name = "Test")]
        public GLoader Test;
        public override string[] GetDependPackages(){ return new string[] {"Common","CommonNew"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<BagSlotPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<BagSlotPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<BagSlotPanel>(); }

    }
}